summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKristian Fiskerstrand <k_f@gentoo.org>2017-07-08 17:56:18 +0200
committerKristian Fiskerstrand <k_f@gentoo.org>2017-07-08 17:56:18 +0200
commitcf0362dd5e54a0013d2e1662a60c7808a1f4c7f9 (patch)
treeabfe1693a6450d4cf094e00168b4ce47756fa036
parentnet-misc/sks: Cleanup old (diff)
downloadgentoo-cf0362dd5e54a0013d2e1662a60c7808a1f4c7f9.tar.gz
gentoo-cf0362dd5e54a0013d2e1662a60c7808a1f4c7f9.tar.bz2
gentoo-cf0362dd5e54a0013d2e1662a60c7808a1f4c7f9.zip
media-gfx/aaphoto: Version bump to 0.45
Proxied commit Gentoo-Proxied-Maintainer: Ferenc Erki Gentoo-Bug: 624262 Package-Manager: Portage-2.3.6, Repoman-2.3.1
-rw-r--r--media-gfx/aaphoto/Manifest1
-rw-r--r--media-gfx/aaphoto/aaphoto-0.45.ebuild29
2 files changed, 30 insertions, 0 deletions
diff --git a/media-gfx/aaphoto/Manifest b/media-gfx/aaphoto/Manifest
index a7ef82e5e21..f0cfa96f079 100644
--- a/media-gfx/aaphoto/Manifest
+++ b/media-gfx/aaphoto/Manifest
@@ -1 +1,2 @@
DIST aaphoto-0.43.1.tar.gz 135261 SHA256 35a21d075d297872e35f52c9e92ab8e7ee403f5ecf4927634f22b56bb401b5ca SHA512 272a949051cd7efbb092d5d115100376ffe17012b6d02d68b5b8251b75ebab3449b2f5c889aac60a3790c20137ffc4ea69452751d04a8e65c0cb39af84e1034d WHIRLPOOL bebf332bf7eeb711c34740acc78c02a285aac291d49fdc13526e86f6f1ae01c6ccac142abbbf5ed5842cf349fc56758071034f8714734f5053eccf59682d020c
+DIST aaphoto_sources_0.45.tar.gz 134057 SHA256 d3a92824cee335516a560aa0e8198e67be1fa2a93aca3508167c142f33d9e20a SHA512 203343a51a64a0422f4af2f80523bb7cb90aa04c10b64bd3aa3091460cf5de1bb86d677c564809813703a2c65f15736bc8d4e3c9273b3f3a72ca7c89f3311599 WHIRLPOOL 107d48b9b5d7f915e1883622bc5553883ed9440f15507a857f0af2988962b505a6d2c67ca1b06cb080c438df59f9e4644d5ee7ff45b8a494c292e08b398cc12c
diff --git a/media-gfx/aaphoto/aaphoto-0.45.ebuild b/media-gfx/aaphoto/aaphoto-0.45.ebuild
new file mode 100644
index 00000000000..4d3d37cab6f
--- /dev/null
+++ b/media-gfx/aaphoto/aaphoto-0.45.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit toolchain-funcs
+
+DESCRIPTION="Automatic color correction and resizing of photos"
+HOMEPAGE="http://log69.com/aaphoto.html https://github.com/log69/aaphoto"
+SRC_URI="http://log69.com/downloads/${PN}_sources_${PV}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ media-libs/libpng:0=
+ sys-libs/zlib
+ virtual/jpeg:0"
+DEPEND="${RDEPEND}"
+
+pkg_setup() {
+ if [[ ${MERGE_TYPE} != binary ]]; then
+ [[ $(gcc-major-version) -lt 4 ]] || \
+ ( [[ $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 2 ]] ) \
+ && die "Sorry, but gcc 4.2 or higher is required"
+ tc-has-openmp || die "Please switch to an openmp compatible compiler"
+ fi
+}